mia-mesh-deformable-model
Prev | Creation, analysis, and filtering of triangular 3D meshes | Next

### mia-mesh-deformable-model

#### Sysnopis:

`mia-mesh-deformable-model` {-i `io`} {-o `io`} {-r `io`} [ `options` ...]

#### Description:

This program runs a deformable model to adapt a mesh to an iso-value within a given image. <FIXME: Reference>

#### Options:

#### File I/O

-i, --in-file=(input, required); io

  input mesh to be adapted. For supported file types see Plugin type: mesh/io

-o, --out-file=(output, required); io

  output mesh that has been deformed. For supported file types see Plugin type: mesh/io

-r, --ref-file=(input, required); io

  reference image. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Model parameters

--smoothing-weight=0.04; float in [0, inf)

  Weight of the inner force used to smooth the mesh

--gradient-weight=0.04; float

  Weight of the gradient force drive the mesh deformation. Use a negative value to invert the search direction.

--intensity-weight=0.02; float in [0, inf)

  Weight of the force resulting from the intensity difference at the vertex position versus the reference intensity 'iso'.

--intensity-scaling=1; float in (0, inf)

  Scaling of the raw intensity difference.

-s, --iso=64; float

  Intensity value the mesh verices should adapt to.

#### Preprocessing

--image-smoothing=gauss:w=2; factory

  Prefilter to smooth the reference image.. For supported plug-ins see Plugin type: 3dimage/filter

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

-m, --maxiter=200; uint in (0, inf)

  Maximum number of iterations.

-e, --epsilon=0.001; float in (0, inf)

  Stop iteration when the maximum shift of the vertices falls below this value

--reorient

  Reorientate the mesh triangles

#### Example:

Run the deforemable model on input.vmesh with 200 iterations adapting to a value of 128 in the image ref.v and save the result to deformed.vmesh

    mia-mesh-deformable-model -i input.vmesh -o deformed.vmesh --iso 128 --maxiter 200

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3disosurface-from-volume | Home | mia-mesh-to-maskimage